de.esprit.appsuite.database.dbase

## Class InvalidPrimaryKeyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - de.esprit.appsuite.database.dbase.InvalidPrimaryKeyException

- All Implemented Interfaces:
    java.io.Serializable

      public class InvalidPrimaryKeyException
      extends java.lang.Exception

  This Exception is thrown by DBRecords if an UPDATE or REHASH is tried with an invalid primary key.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidPrimaryKeyException(DBRecord dbo)`
    `InvalidPrimaryKeyException(DBRecord dbo, boolean hasNoPK)`
    `InvalidPrimaryKeyException(DBRecord dbo, java.lang.String[] pkValues)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMessage()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidPrimaryKeyException

          public InvalidPrimaryKeyException(DBRecord dbo)

    - #### InvalidPrimaryKeyException

          public InvalidPrimaryKeyException(DBRecord dbo,
                                    boolean hasNoPK)

    - #### InvalidPrimaryKeyException

          public InvalidPrimaryKeyException(DBRecord dbo,
                                    java.lang.String[] pkValues)

  - ### Method Detail

    - #### getMessage

          public java.lang.String getMessage()

      Overrides:
        `getMessage` in class `java.lang.Throwable`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Throwable`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.